Difference between revisions of "Visual Editor Project"

From Eclipsepedia

Jump to: navigation, search
m (Development Resources)
(Development Resources)
Line 18: Line 18:
 
* [https://bugs.eclipse.org/bugs/buglist.cgi?bug_file_loc=;bug_file_loc_type=allwordssubstr;bug_id=;bug_status=UNCONFIRMED;bug_status=NEW;bug_status=ASSIGNED;bug_status=REOPENED;bugidtype=include;chfieldfrom=;chfieldto=Now;chfieldvalue=;classification=Tools;email1=;email2=;emailtype1=substring;emailtype2=substring;field0-0-0=noop;keywords=;keywords_type=allwords;longdesc=;longdesc_type=allwordssubstr;product=VE;query_format=advanced;short_desc=;short_desc_type=allwordssubstr;status_whiteboard=;status_whiteboard_type=allwordssubstr;type0-0-0=noop;value0-0-0=;votes=;query_based_on=;columnlist=bug_severity%2Cpriority%2Cop_sys%2Cassigned_to%2Cbug_status%2Cresolution%2Cshort_desc%2Ctarget_milestone%2Cstatus_whiteboard Open Bugs]
 
* [https://bugs.eclipse.org/bugs/buglist.cgi?bug_file_loc=;bug_file_loc_type=allwordssubstr;bug_id=;bug_status=UNCONFIRMED;bug_status=NEW;bug_status=ASSIGNED;bug_status=REOPENED;bugidtype=include;chfieldfrom=;chfieldto=Now;chfieldvalue=;classification=Tools;email1=;email2=;emailtype1=substring;emailtype2=substring;field0-0-0=noop;keywords=;keywords_type=allwords;longdesc=;longdesc_type=allwordssubstr;product=VE;query_format=advanced;short_desc=;short_desc_type=allwordssubstr;status_whiteboard=;status_whiteboard_type=allwordssubstr;type0-0-0=noop;value0-0-0=;votes=;query_based_on=;columnlist=bug_severity%2Cpriority%2Cop_sys%2Cassigned_to%2Cbug_status%2Cresolution%2Cshort_desc%2Ctarget_milestone%2Cstatus_whiteboard Open Bugs]
  
* '''[[VE/Update | How To Install VE 1.4 for Eclipse Ganymede]]''' ''(subject to change, '''unsupported''')''
+
* '''[[VE/Update | How To Install VE 1.4 for Eclipse 3.4 Ganymede / Eclipse 3.5 Galileo]]''' ''(subject to change, '''unsupported''')''
 
* [[VE/Installing | How To Install VE 1.3 for Eclipse 3.3 Europa / Eclipse 3.4 Ganymede]] ''(subject to change, '''unsupported''')''
 
* [[VE/Installing | How To Install VE 1.3 for Eclipse 3.3 Europa / Eclipse 3.4 Ganymede]] ''(subject to change, '''unsupported''')''
 
* [[VE/Roadmap | Roadmap for the VE 1.3 Release]]
 
* [[VE/Roadmap | Roadmap for the VE 1.3 Release]]

Revision as of 01:55, 12 November 2009

The Eclipse Visual Editor project is a platform for creating GUI builders within Eclipse. The project currently provides support for WYSIWYG editing of Swing/AWT and SWT/RCP user interfaces.

NOTE: Current official builds of the Visual Editor require Eclipse 3.2 (Callisto).

Contents

Supported Platforms

The Visual Editor is currently supported on the following platforms:

  • Win32 - Swing/AWT, SWT
  • Linux
    • GTK2/x86 - Swing/AWT, SWT
    • GTK2/x86_64 - Swing/AWT, SWT
    • GTK2/ppc - Swing/AWT, SWT
    • Motif - Swing/AWT
  • Mac OS X 10.4 - Swing, SWT

SWT development requires Java 1.4.2 or later.

Development Resources

Release History

See Also